"use strict";
import React from "react";
import { Link, animateScroll as scroll } from "react-scroll";

export class Header extends React.Component {
    constructor(props) {
        super(props);

        this.state = {
            showMobileMenu: false,
        };
    }

    componentDidMount() {

    }

    doRenderMenuItems() {
        const keys = Object.keys(this.props.menuItems)
        var rendered_items = [];
        keys.forEach((key) => {
            let item = this.props.menuItems[key];
            rendered_items.push(
                <Link
                    className={"nav-item nav-link no-selection"}
                    activeClass="active"
                    to={item.target}
                    key={key}
                    spy={true}
                    smooth={true}
                >
                    {item.text}
                </Link>
            );
        });
        return rendered_items;
    }

    render() {
        return (
            <header>
                <nav className="navbar navbar-expand-lg navbar-light">
                    <a className="navbar-brand" href="index.html#head">
                        HKWTC
                    </a>
                    <div className="collapse navbar-collapse">
                        <div className="navbar-nav">
                            {this.doRenderMenuItems()}
                        </div>
                    </div>
                    <div className="nav-md">
                        <button className={"hamburger hamburger--spring" +
                            (this.state.showMobileMenu ? " is-active" : "")}
                            type="button"
                            onClick={() => this.setState({ showMobileMenu: !this.state.showMobileMenu })}
                            alt="Site Menu"
                        >
                            <span className="hamburger-box">
                                <span className="hamburger-inner"></span>
                            </span>
                            <span className="hamburger-label">Menu</span>
                        </button>
                        <div className={"navbar-nav" +
                            (this.state.showMobileMenu ? " active" : "")}
                        >
                            {this.doRenderMenuItems()}
                        </div>
                    </div>
                </nav>
            </header>
        );
    }
}