import React from "react";
import { render } from "react-dom";
import jump from 'jump.js';

import css from '../css/style.css';

import { Header } from "./components/Header";
import { Main } from "./components/Main";
import { ServerIntro } from "./components/ServerIntro";
import { Contact } from "./components/Contact";
import { Footer } from "./components/Footer";

class App extends React.Component {
    
    constructor() {
        super();

        this.menuItems = {
            index: {
                text: "主頁",
                target: "head",
            },
            srvIntro: {
                text: "伺服器介紹",
                target: "srvIntro",
            },
            contactUs: {
                text: "聯絡我們",
                target: "contactUs",
            }
        };
    }

    render() {
        return (
            <div>
                <Header
                    menuItems={this.menuItems}
                />
                <Main />
                <ServerIntro />
                <Contact />
                <Footer />
            </div>
        )
    }
}

render(<App />, document.querySelector("#root"));